Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Postal

    java.lang.Object
      org.jboss.portal.wsrp.core.Postal

All Implemented Interfaces:
  java.io.Serializable

    public class Postal

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `city`
`protected java.lang.String` | `country`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `name`
`protected java.lang.String` | `organization`
`protected java.lang.String` | `postalcode`
`protected java.lang.String` | `stateprov`
`protected java.lang.String` | `street`

Constructor Summary
`Postal()`
`Postal(java.lang.String name, java.lang.String street, java.lang.String city, java.lang.String stateprov, java.lang.String postalcode, java.lang.String country, java.lang.String organization, Extension[] extensions)`

Method Summary
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountry()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOrganization()`
`java.lang.String` | `getPostalcode()`
`java.lang.String` | `getStateprov()`
`java.lang.String` | `getStreet()`
`void` | `setCity(java.lang.String city)`
`void` | `setCountry(java.lang.String country)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setName(java.lang.String name)`
`void` | `setOrganization(java.lang.String organization)`
`void` | `setPostalcode(java.lang.String postalcode)`
`void` | `setStateprov(java.lang.String stateprov)`
`void` | `setStreet(java.lang.String street)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### street

    protected java.lang.String street

### city

    protected java.lang.String city

### stateprov

    protected java.lang.String stateprov

### postalcode

    protected java.lang.String postalcode

### country

    protected java.lang.String country

### organization

    protected java.lang.String organization

### extensions

    protected Extension[] extensions

Constructor Detail

### Postal

    public Postal()

### Postal

    public Postal(java.lang.String name,
                  java.lang.String street,
                  java.lang.String city,
                  java.lang.String stateprov,
                  java.lang.String postalcode,
                  java.lang.String country,
                  java.lang.String organization,
                  Extension[] extensions)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getStreet

    public java.lang.String getStreet()

### setStreet

    public void setStreet(java.lang.String street)

### getCity

    public java.lang.String getCity()

### setCity

    public void setCity(java.lang.String city)

### getStateprov

    public java.lang.String getStateprov()

### setStateprov

    public void setStateprov(java.lang.String stateprov)

### getPostalcode

    public java.lang.String getPostalcode()

### setPostalcode

    public void setPostalcode(java.lang.String postalcode)

### getCountry

    public java.lang.String getCountry()

### setCountry

    public void setCountry(java.lang.String country)

### getOrganization

    public java.lang.String getOrganization()

### setOrganization

    public void setOrganization(java.lang.String organization)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD